<?php
///////////////////////////////
// Assign personal user data //
///////////////////////////////

// Get a new instance for personal data
$blockInstance = ObjectFactory::createObjectByConfiguredName('web_block_helper', array($this, 'persona_data'));

// Set the data source instance which must exist in registry
$blockInstance->prefetchValueInstance('user');

// Assign fields with template variables
$blockInstance->assignField('username');
$blockInstance->assignFieldWithFilter('user_status', "user_status_translator");

// Shall we include registration date?
if ($blockInstance->ifIncludeRegistrationStamp()) {
	// Then assign it as well!
	$blockInstance->assignFieldWithFilter('registered', 'formatTimestamp');
} // END - if

// Flush the content out to a template variable
$blockInstance->flushContent();

// Get helper instance
$helper = ObjectFactory::createObjectByConfiguredName('web_link_helper', array($this, 'logout_action_link', 'index.php?app={?app_short_name?}&amp;page=login_area'));

// Add action
$helper->addActionLink('logout', "Ausloggen");

// Flush the content
$helper->flushContent();

// [EOC]
?>
<div id="content_header">
	Willkommen zum <span class=\"app_name\">{?app_full_name?}</span>!
</div>

<div id="content_body">
	{?login_content?}
</div>

<div id="persona_data" title="Informationen zum Adminaccount">
	<div id="persona_header">
		Account-Infos:
	</div>

	<div id="persona_body">
		{?persona_data?}
	</div>

	<div id="logout_link">
		{?logout_action_link?}
	</div>
</div>
