<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helper = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'blog_register'));

// Always ask at least for nickname and password
$helper->addFormGroup('login', "Bitte gebe hier gew&uuml;nschten Nickname und dein Zugangspasswort ein.");
$helper->addFormSubGroup('username', "Dein Nickname wird erst nach Absenden des Formulares gepr&uuml;ft. Sp&auml;ter bauen wir dann einen automatischen Test ein, der dir sofort zeigt, ob der Nickname bereits vergeben ist.");
$helper->addFieldText('username', "Nickname im Blog:");
$helper->addInputTextField('username');
$helper->addFormSubGroup('pass', "Dein Passwort sollte nicht zu leicht erratbar sein. Sp&auml;ter bauen wir hier noch einen automatischen Test ein, der dir sofort die Passwortst&auml;rke anzeigt.");
$helper->addFieldText('pass1', "Passwort:");
$helper->addInputPasswordField('pass1');
$helper->addFieldText('pass2', "Passwortwiederholung:");
$helper->addInputPasswordField('pass2');

if ($helper->ifRegisterRequiresEmailVerification()) {
	$helper->addFormGroup('email', "Bitte gebe deine Email zweimal (ein zweites Mal zur Best&auml;tigung) ein, damit wir dir deinen Freischaltlink zusenden k&ouml;nnen.");
	$helper->addFieldText('email1', "Email-Adresse:");
	$helper->addInputTextField('email1');
	$helper->addFieldText('email2', "Wiederholung Email-Adresse:");
	$helper->addInputTextField('email2');

	if ($helper->ifEmailMustBeUnique()) {
		$helper->addFormNote('email', "Die von dir eingegebene Email-Adresse darf nur einmal im Blog verwendet worden sein.");
	} // END - Unique email addresses

} // END - email verification

if ($helper->ifRegisterIncludesProfile()) {
	$helper->addFormGroup('profile', "Hier kannst du zus&auml;tzlich deine Profildaten vorweg eingeben, du kannst sie aber auch nach dem Login vervollst&auml;ndigen!");

	if (!$helper->ifRegisterRequiresEmailVerification()) {
		$helper->addFormSubGroup('email', "Die Angabe deiner Email-Adresse ist nur dann n&ouml;tig, wenn du auch Email-Benachrichtigungen (<span id=\"add_note\">*1</span>) haben m&ouml;chtest.");
		$helper->addFieldText('email1', "Email-Adresse:");
		$helper->addInputTextField('email1');
	} // END - No email verification

	// Persoenliche Daten mit in der Anmeldung abfragen?
	if ($helper->ifRegisterIncludesPersonaData()) {
		$helper->addFormSubGroup('persona', "Wenn du magst, dann vervollst&auml;ndige deine komplette Adresse mit deinem Namen.");
		$helper->addFieldText('surname', "Dein Vorname:");
		$helper->addInputTextField('surname');
		$helper->addFieldText('family', "Dein Nachname:");
		$helper->addInputTextField('family');
		$helper->addFieldText('street', "Strasse und Hausnummer:");
		$helper->addInputTextField('street');
		$helper->addFieldText('city', "Wohnort:");
		$helper->addInputTextField('city');
	} // END - Persona data

	$helper->addFormSubGroup('zip', "Magst du uns auch deine Postleitzahl verraten?");
	$helper->addFieldText('zip', "Postleitzahl:");
	$helper->addInputTextField('zip');

	$helper->addFormSubGroup('chat', "Gebe hier deine Nicknames bzw. Nummern an:");

	if ($helper->ifChatEnabled('icq')) {
		$helper->addFieldText('icq', "ICQ-Nummer:");
		$helper->addInputTextField('icq');
	} // END - if

	if ($helper->ifChatEnabled('jabber')) {
		$helper->addFieldText('jabber', "Jabber:");
		$helper->addInputTextField('jabber');
	} // END - if

	if ($helper->ifChatEnabled('yahoo')) {
		$helper->addFieldText('yahoo', "Yahoo!:");
		$helper->addInputTextField('yahoo');
	} // END - if

	if ($helper->ifChatEnabled('aol')) {
		$helper->addFieldText('aol', "AOL-Screenname:");
		$helper->addInputTextField('aol');
	} // END - if

	if ($helper->ifChatEnabled('msn')) {
		$helper->addFieldText('msn', "MSN:");
		$helper->addInputTextField('msn');
	} // END - if

	if (!$helper->ifRegisterRequiresEmailVerification()) {
		$helper->addFormExtraNote(1, "Die Benachrichtigungen per sind im Loginbereich verfeinerbar, welche du genau haben willst.");
	} // END - Extra note
} // END - ask profile data

// Posting-/Kommentarregeln abfragen
$helper->addFormGroup('rules', "Bitte lese dir die Blogregeln gut durch und kreuze dann &quot;Ja, ich akzeptiere die aktuellen Blogregeln&quot; an.");
$helper->addFieldText('rules', "Ja, ich akzeptiere die aktuellen Blogregeln:");
$helper->addInputCheckboxField('rules', false);

// Add CAPTCHA?
if ($helper->ifFormSecuredWithCaptcha()) {
	$helper->addFormGroup('captcha', "Bitte wiederhole den angezeigten Code damit die Anmeldung abgeschlossen werden kann.");
	$helper->addCaptcha();
} // END - if

// Final note and submit buttons
$helper->addFormGroup('buttons', "Wenn du alle ben&ouml;tigten Felder korrekt ausgef&uuml;t hast, kannst du die Anmeldung abschliessen.");

$helper->addInputResetButton("Alles nochmal eingeben");
$helper->addInputSubmitButton("Anmeldung zum Blog abschliessen");
$helper->addFormNote('data_protection', "Deine Daten werden nach den g&uuml;ltigen Datenschutzgesetzten gespeichert und werden nicht an Dritte weitergegeben. Weiteres dazu siehe Link &quot;Datenschutz&quot;.");
$helper->flushContent();

// [EOC]
?>
<div id="content_header">
	Anmeldung bei <span class="app_name">{?app_full_name?}</span>
</div>

<div id="register_box">
	{?blog_register?}
</div>
