<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'shipsimu_register'));

// Always ask at least for nickname and password
$helperInstance->addFormGroup('login', "Bitte gebe hier gew&uuml;nschten Nickname und dein Zugangspasswort ein.");
$helperInstance->addFormSubGroup('username', "Dein Nickname wird erst nach Absenden des Formulares gepr&uuml;ft. Sp&auml;ter bauen wir dann einen automatischen Test ein, der dir sofort zeigt, ob der Nickname bereits vergeben ist.");
$helperInstance->addFieldText('username', "Nickname im Spiel:");
$helperInstance->addInputTextField('username');
$helperInstance->addFormSubGroup('pass', "Dein Passwort sollte nicht zu leicht erratbar sein. Sp&auml;ter bauen wir hier noch einen automatischen Test ein, der dir sofort die Passwortst&auml;rke anzeigt.");
$helperInstance->addFieldText('pass1', "Passwort:");
$helperInstance->addInputPasswordField('pass1');
$helperInstance->addFieldText('pass2', "Passwortwiederholung:");
$helperInstance->addInputPasswordField('pass2');

// Does this registration require an email?
if ($helperInstance->ifRegisterRequiresEmailVerification()) {
	$helperInstance->addFormGroup('email', "Bitte gebe deine Email zweimal (ein zweites Mal zur Best&auml;tigung) ein, damit wir dir deinen Freischaltlink zusenden k&ouml;nnen.");
	$helperInstance->addFieldText('email1', "Email-Adresse:");
	$helperInstance->addInputTextField('email1');
	$helperInstance->addFieldText('email2', "Wiederholung Email-Adresse:");
	$helperInstance->addInputTextField('email2');

	// Must the email address be unique in this system?
	if ($helperInstance->ifEmailMustBeUnique()) {
		$helperInstance->addFormNote('email', "Die von dir eingegebene Email-Adresse darf nur einmal im Spiel verwendet worden sein.");
	} // END - if
} // END - if

// Shall we also ask some personal data to complete the profile?
if ($helperInstance->ifRegisterIncludesProfile()) {
	$helperInstance->addFormGroup('profile', "Hier kannst du zus&auml;tzlich deine Profildaten vorweg eingeben, du kannst sie aber auch nach dem Login vervollst&auml;ndigen!");

	if (!$helperInstance->ifRegisterRequiresEmailVerification()) {
		$helperInstance->addFormSubGroup('email', "Die Angabe deiner Email-Adresse ist nur dann n&ouml;tig, wenn du auch Email-Benachrichtigungen (<span id=\"add_note\">*1</span>) haben m&ouml;chtest.");
		$helperInstance->addFieldText('email1', "Email-Adresse:");
		$helperInstance->addInputTextField('email1');

		// Must the email address be unique in this system?
		if ($helperInstance->ifEmailMustBeUnique()) {
			$helperInstance->addFormNote('email', "Die von dir eingegebene Email-Adresse darf nur einmal im Spiel verwendet worden sein.");
		} // END - if
	} // END - if

	// Persoenliche Daten mit in der Anmeldung abfragen?
	if ($helperInstance->ifRegisterIncludesPersonaData()) {
		$helperInstance->addFormSubGroup('persona', "Wenn du magst, dann vervollst&auml;ndige deine komplette Adresse mit deinem Namen.");
		$helperInstance->addFieldText('surname', "Dein Vorname:");
		$helperInstance->addInputTextField('surname');
		$helperInstance->addFieldText('family', "Dein Nachname:");
		$helperInstance->addInputTextField('family');
		$helperInstance->addFieldText('street', "Strasse und Hausnummer:");
		$helperInstance->addInputTextField('street');
		$helperInstance->addFieldText('city', "Wohnort:");
		$helperInstance->addInputTextField('city');

		// Include birthday?
		if ($helperInstance->ifProfileIncludesBirthDay()) {
			$helperInstance->addFormSubGroup('birthday', "Verrate uns doch dein Geburtsdatum, als Dankesch&ouml;n erh&auml;lst du interessante Pr&auml;mien - ausschliesslich per Email - zum Geburtstag zugesandt! G&uuml;ltiges Format: TT.MM.JJJJ");
			$helperInstance->addInputTextField('birth_day');
			$helperInstance->addFieldText('birth_day', ".");
			$helperInstance->addInputTextField('birth_month');
			$helperInstance->addFieldText('birth_day', ".");
			$helperInstance->addInputTextField('birth_year');
		} // END - if
	} // END - if

	$helperInstance->addFormSubGroup('zip', "Magst du uns auch deine Postleitzahl verraten?");
	$helperInstance->addFieldText('zip', "Postleitzahl:");
	$helperInstance->addInputTextField('zip');

	$helperInstance->addFormSubGroup('chat', "Gebe hier deine Nicknames bzw. Nummern an:");

	if ($helperInstance->ifChatEnabled('icq')) {
		$helperInstance->addFieldText('icq', "ICQ-Nummer:");
		$helperInstance->addInputTextField('icq');
	} // END - if

	if ($helperInstance->ifChatEnabled('jabber')) {
		$helperInstance->addFieldText('jabber', "Jabber:");
		$helperInstance->addInputTextField('jabber');
	} // END - if

	if ($helperInstance->ifChatEnabled('yahoo')) {
		$helperInstance->addFieldText('yahoo', "Yahoo!:");
		$helperInstance->addInputTextField('yahoo');
	} // END - if

	if ($helperInstance->ifChatEnabled('aol')) {
		$helperInstance->addFieldText('aol', "AOL-Screenname:");
		$helperInstance->addInputTextField('aol');
	} // END - if

	if ($helperInstance->ifChatEnabled('msn')) {
		$helperInstance->addFieldText('msn', "MSN:");
		$helperInstance->addInputTextField('msn');
	} // END - if

	if (!$helperInstance->ifRegisterRequiresEmailVerification()) {
		$helperInstance->addFormExtraNote(1, "Die Benachrichtigungen per sind im Loginbereich verfeinerbar, welche du genau haben willst.");
	} // END - Extra note

} // END - ask profile data

// Spielregeln abfragen
$helperInstance->addFormGroup('rules', "Bitte lese dir die Spieleregeln gut durch und kreuze dann &quot;Ja, ich akzeptiere die aktuellen Spielregeln&quot; an.");
$helperInstance->addFieldText('rules', "Ja, ich akzeptiere die aktuellen Spielregeln:");
$helperInstance->addInputCheckboxField('rules', false);

// Add CAPTCHA?
if ($helperInstance->ifFormSecuredWithCaptcha()) {
	$helperInstance->addFormGroup('captcha', "Bitte wiederhole den angezeigten Code damit die Anmeldung abgeschlossen werden kann.");
	$helperInstance->addCaptcha();
} // END - if

// Final note and submit buttons
$helperInstance->addFormGroup('buttons', "Wenn du alle ben&ouml;tigten Felder korrekt ausgef&uuml;t hast, kannst du die Anmeldung abschliessen.");

$helperInstance->addInputResetButton("Alles nochmal eingeben");
$helperInstance->addInputSubmitButton("Anmeldung zum Spiel abschliessen");
$helperInstance->addFormNote('data_protection', "Deine Daten werden nach den g&uuml;ltigen Datenschutzgesetzten gespeichert und werden nicht an Dritte weitergegeben. Weiteres dazu siehe Link &quot;Datenschutz&quot;.");
$helperInstance->flushContent();

// [EOC]
?>
<div id="content_header">
	Anmeldung bei <span class="app_name">{?app_full_name?}</span>
</div>

<div id="register_box">
	{?shipsimu_register?}
</div>
